classification
Title: asyncio.wrap_future undocumented
Type: enhancement Stage: resolved
Components: asyncio, Documentation Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, alex.gronholm, docs@python, polymorphm, wodny, yselivanov
Priority: normal Keywords:

Created on 2015-07-30 10:03 by wodny, last changed 2017-06-09 14:34 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 603 merged adisbladis, 2017-03-10 19:43
PR 2019 merged Mariatta, 2017-06-09 06:30
PR 2020 merged Mariatta, 2017-06-09 06:30
Messages (5)
msg247659 - (view) Author: Marcin Szewczyk (wodny) Date: 2015-07-30 10:03
While asyncio.wrap_future is mentioned in PEP 3156 and has its docstring it is undocumented in the reference. run_in_executor is documented but doesn't mention wrap_future either.

$ grep -r wrap_future Doc; echo $?
1
msg295492 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-06-09 06:29
New changeset 824f6879121413e09439fffef54580413e44bf46 by Mariatta (adisbladis) in branch 'master':
bpo-24755: Document asyncio.wrap_future (GH-603)
https://github.com/python/cpython/commit/824f6879121413e09439fffef54580413e44bf46
msg295532 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-06-09 14:32
New changeset af609a00a64fd58bd67c102f208ed9fe15c2748d by Mariatta in branch '3.6':
bpo-24755: Document asyncio.wrap_future (GH-603) (GH-2019)
https://github.com/python/cpython/commit/af609a00a64fd58bd67c102f208ed9fe15c2748d
msg295533 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-06-09 14:33
New changeset 3fc2fa8cb909cb58325f56deb5cd500d278e4102 by Mariatta in branch '3.5':
bpo-24755: Document asyncio.wrap_future (GH-603) (GH-2020)
https://github.com/python/cpython/commit/3fc2fa8cb909cb58325f56deb5cd500d278e4102
msg295534 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-06-09 14:34
PR merged and backported to 3.6 and 3.5.
Thanks :)
History
Date User Action Args
2017-06-09 14:34:34Mariattasetstatus: open -> closed
resolution: fixed
messages: + msg295534

stage: backport needed -> resolved
2017-06-09 14:33:26Mariattasetmessages: + msg295533
2017-06-09 14:32:49Mariattasetmessages: + msg295532
2017-06-09 06:31:41Mariattasetstage: patch review -> backport needed
2017-06-09 06:30:58Mariattasetpull_requests: + pull_request2086
2017-06-09 06:30:46Mariattasetpull_requests: + pull_request2085
2017-06-09 06:29:02Mariattasetnosy: + Mariatta
messages: + msg295492
2017-03-10 21:30:31martin.pantersetstage: patch review
components: + asyncio
versions: + Python 3.6, Python 3.7
2017-03-10 21:28:41martin.panterlinkissue29786 superseder
2017-03-10 19:43:32adisbladissetpull_requests: + pull_request497
2015-09-30 20:26:47polymorphmsetnosy: + polymorphm
2015-08-03 13:14:59alex.gronholmsetnosy: + alex.gronholm
2015-08-03 12:31:39yselivanovsetnosy: + yselivanov
2015-08-03 12:04:02berker.peksaglinkissue24785 superseder
2015-07-30 10:03:38wodnycreate